##Procedure Header
# Name:
#    ::ixiangpf::emulation_static_macsec_info
#
# Description:
#    This procedure retrieves information about the Static Macsec sessions.
#    This procedure is also used to fetch stats, learned information and configured properties of Static Macsec, depending on the given mode and handle.
#
# Synopsis:
#    ::ixiangpf::emulation_static_macsec_info
#x       -mode         CHOICES per_port_stats
#x                     CHOICES per_session_stats
#x                     CHOICES per_device_group_stats
#x                     CHOICES clear_stats
#        -handle       ANY
#        [-port_handle REGEXP ^[0-9]+/[0-9]+/[0-9]+$]
#
# Arguments:
#x   -mode
#x       For fetching per_port_stats, provide any Static Macsec handle. For per_session_stats, and per_device_group_stats, provide a Static Macsec handle which is on the corresponding port.
#    -handle
#        The Static Macsec handle to act upon.
#    -port_handle
#        The port on which the Static Macsec configuration will take place.
#
# Return Values:
#    $::SUCCESS | $::FAILURE
#    key:status  value:$::SUCCESS | $::FAILURE
#    If status is failure, detailed information provided.
#    key:log     value:If status is failure, detailed information provided.
#
# Examples:
#
# Sample Input:
#
# Sample Output:
#
# Notes:
#
# See Also:
#

proc ::ixiangpf::emulation_static_macsec_info { args } {

	set notImplementedParams "{}"
	set mandatoryParams "{}"
	set fileParams "{}"
	set flagParams "{}"
	set procName [lindex [info level [info level]] 0]
	::ixia::logHltapiCommand $procName $args
	::ixia::utrackerLog $procName $args
	return [eval runExecuteCommand "emulation_static_macsec_info" $notImplementedParams $mandatoryParams $fileParams $flagParams $args]
}
